> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Update TransferDetail of ReceivingOrder unless any action has been taken on the ReceivingOrder (State of ReceivingOrder must be 'Created').



## OpenAPI

````yaml /api-reference/openapi.json put /openapi/v1/ReceivingOrders/{referenceNumber}/transferDetail
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/ReceivingOrders/{referenceNumber}/transferDetail:
    put:
      tags:
        - ReceivingOrders
      summary: >-
        Update TransferDetail of ReceivingOrder unless any action has been taken
        on the ReceivingOrder (State of ReceivingOrder must be 'Created').
      parameters:
        - name: referenceNumber
          in: path
          required: true
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: >-
                #/components/schemas/UpdateReceivingOrderTransferDetailsRequestDTO
          application/json:
            schema:
              $ref: >-
                #/components/schemas/UpdateReceivingOrderTransferDetailsRequestDTO
          text/json:
            schema:
              $ref: >-
                #/components/schemas/UpdateReceivingOrderTransferDetailsRequestDTO
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/UpdateReceivingOrderTransferDetailsRequestDTO
      responses:
        '200':
          description: Success
components:
  schemas:
    UpdateReceivingOrderTransferDetailsRequestDTO:
      required:
        - transferType
      type: object
      properties:
        integrationId:
          type: string
          format: uuid
        transferType:
          $ref: '#/components/schemas/ReceivingOrderTransferType'
        cargoTransfer:
          $ref: '#/components/schemas/CargoTransferDTO'
        pickupTransfer:
          $ref: '#/components/schemas/PickupTransferDTO'
        carriageTransfer:
          $ref: '#/components/schemas/CarriageTransferDTO'
      additionalProperties: false
    ReceivingOrderTransferType:
      enum:
        - CargoTransfer
        - PickupTransfer
        - CarriageTransfer
      type: string
    CargoTransferDTO:
      type: object
      properties:
        shipmentDate:
          type: string
          format: date-time
        cargoCompanyName:
          type: string
        trackingNumber:
          type: string
      additionalProperties: false
      required:
        - shipmentDate
    PickupTransferDTO:
      type: object
      properties:
        pickupDate:
          type: string
          format: date-time
        pickupAddress:
          type: string
      additionalProperties: false
      required:
        - pickupDate
    CarriageTransferDTO:
      type: object
      properties:
        shipmentDate:
          type: string
          format: date-time
        carriageCompanyName:
          type: string
        waybillNumber:
          type: string
      additionalProperties: false
      required:
        - shipmentDate
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````